A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
isLAPACKAvailable
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » LAPACK Helper functions

Returns true if ArrayFire is compiled with LAPACK support More...

## Functions
AFAPI bool | isLAPACKAvailable ()
| Returns true if ArrayFire is compiled with LAPACK support.
AFAPI af_err | af_is_lapack_available (bool *out)
| Returns true if ArrayFire is compiled with LAPACK support.

## Detailed Description

Returns true if ArrayFire is compiled with LAPACK support

## Function Documentation

## ◆ af_is_lapack_available()

AFAPI af_err af_is_lapack_available | ( | bool * | out | ) |

Returns true if ArrayFire is compiled with LAPACK support.

Parameters

  [out] | out | true if LAPACK support is available; false otherwise

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given; does not depend on the value of `out`

## ◆ isLAPACKAvailable()

AFAPI bool isLAPACKAvailable | ( |  | ) |

Returns true if ArrayFire is compiled with LAPACK support.

Returns
  true if LAPACK support is available; false otherwise